from itertools import permutations

def is_valid_cube(numbers):
    for perm in permutations(numbers):
        if perm[0] + perm[1] == perm[2] +perm[3] == perm[4] + perm[5]:
            return "YES"
    return "NO"

def main():
    n = int(input())
    results = []
    for _ in range(n):
        numbers = list(map(int, input().split()))
        results.append(is_valid_cube(numbers))
    print("\n".join(results))

if __name__ == "__main__":
    main()